resource "aws_dynamodb_table" "main" {
  name           = "${local.prefix}-main-db"
  hash_key       = "ID"
  billing_mode   = "PROVISIONED"
  read_capacity  = var.dynamodb_read_capacity
  write_capacity = var.dynamodb_write_capacity

  attribute {
    name = "ID"
    type = "S"
  }

  point_in_time_recovery {
    enabled = var.dynamodb_enable_pitr
  }

  tags = local.common_tags

  lifecycle {
    prevent_destroy = true
  }
}
